Package io.dapr.v1

# Interface DaprAppCallbackProtos.TopicRuleOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicRule`, `DaprAppCallbackProtos.TopicRule.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.TopicRuleOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getMatch()`
The optional CEL expression used to match the event.
`com.google.protobuf.ByteString`
`getMatchBytes()`
The optional CEL expression used to match the event.
`String`
`getPath()`
The path used to identify matches for this subscription.
`com.google.protobuf.ByteString`
`getPathBytes()`
The path used to identify matches for this subscription.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getMatch

String getMatch()

     The optional CEL expression used to match the event.
     If the match is not specified, then the route is considered
     the default.

`string match = 1;`

Returns:
  The match.

### getMatchBytes

com.google.protobuf.ByteString getMatchBytes()

     The optional CEL expression used to match the event.
     If the match is not specified, then the route is considered
     the default.

`string match = 1;`

Returns:
  The bytes for match.

### getPath

String getPath()

     The path used to identify matches for this subscription.
     This value is passed in TopicEventRequest and used by OnTopicEvent to "switch"
     inside the handler.

`string path = 2;`

Returns:
  The path.

### getPathBytes

com.google.protobuf.ByteString getPathBytes()

     The path used to identify matches for this subscription.
     This value is passed in TopicEventRequest and used by OnTopicEvent to "switch"
     inside the handler.

`string path = 2;`

Returns:
  The bytes for path.